DIR(1)

NAZWA
dir - wyświetla zawartość katalogu

SKŁADNIA
dir [OPCJA]... [PLIK]...

OPIS

Wypisuje informacje o PLIKACH (domyślnie - o bieżącym katalogu). Sortuje wpisy alfabetycznie, jeżeli nie podano żadnej z opcji -cftuvSUX ani --sort.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-a, --all
    bez ukrywania plików zaczynających się od .

-A, --almost-all
    bez pokazywania . ani ..

--author
    z -l, wypisuje autora każdego pliku

-b, --escape
    cytuje znaki niegraficzne w stylu języka C (ósemkowo)

--block-size=ROZMIAR
    z opcją -l, przelicza rozmiary według ROZMIARU przy ich wyświetlaniu; np. --block-size=M; zob. format ROZMIARU poniżej

-B, --ignore-backups
    nie wyświetla plików kończących się znakiem ~

-c
     z -lt:sortuje wyniki wg ctime (czasu ostatniej zmiany danych o pliku) i wypisuje go;
     z -l: sortuje wyniki według nazwy i wypisuje ctime;
     w pozostałych przypadkach: sortuje według ctime, poczynając od najnowszych plików

-C  wypisuje pliki w kolumnach

--color[=KIEDY]
    koloruje wyniki w zależności od KIEDY; więcej informacji poniżej

-d, --directory
    wypisuje same katalogi, nie ich zawartość

-D, --dired
    tworzy dane wyjściowe dla trybu dired Emacsa

-f  wypisuje wszystkie pozycje według kolejności w katalogu

-F, --classify[=KIEDY]
    dodaje znak wskazujący typ wpisu (jeden z następujących: */=>@|) w przypadku KIEDY

--file-type
    podobnie, lecz nie używa *

--format=SŁOWO
    across odpowiada -x (poziomo), commas -m (oddzielone przecinkami), horizontal -x (poziomo), long -l (długi, z dodatkowymi informacjami), single-column -1 (w jednej kolumnie), verbose -l (długi, z dodatkowymi informacjami), vertical -C (pionowy, w kolumnach)

--full-time
    jak -l --time-style=full-iso

-g  jak -l, ale nie wypisuje właściciela

--group-directories-first
    grupuje katalogi przed plikami; ta opcja może być uzupełniona opcją --sort, ale wyłącza ją użycie opcji --sort=none (-U)

-G, --no-group
    w długim formacie, nie pokazuje informacji o grupach

-h, --human-readable
    z -l i -s, wyświetla rozmiary w formacie jak 1K, 234M, 2G

--si
    podobnie, ale używa potęg 1000 zamiast 1024

-H, --dereference-command-line
    podąża za dowiązaniami symbolicznymi podanymi w wierszu poleceń

--dereference-command-line-symlink-to-dir
    podąża za każdym dowiązaniem symbolicznym, które wskazuje na katalog

--hide=WZORZEC
    nie pokazuje wpisów pasujących do WZORCA powłoki (wyłączane przez -a lub -A)

--hyperlink[=KIEDY]
    tworzy odnośniki z nazw plików w przypadku KIEDY

--indicator-style=SŁOWO
    dodaje wskaźniki typów plików stylu SŁOWO: none (domyślnie - brak), slash (-p), file-type (--file-type), classify (-F)

-i, --inode
    wyświetla numer i-węzła każdego pliku

-I, --ignore=WZORZEC
    nie pokazuje plików pasujących do WZORCA powłoki

-k, --kibibytes
    używa 1024-bajtowych bloków do pokazywania zajętości systemu plików; działa tylko z -s i do wartości całkowitych katalogów

-l  używa długiego formatu wyjściowego

-L, --dereference
    podczas pokazywania informacji pliku dla dowiązania symbolicznego, pokazuje informacje o pliku wskazywanym przez dowiązanie, zamiast o nim samym

-m  wypełnia wpisami, oddzielonymi przecinkami, całą dostępną szerokość

-n, --numeric-uid-gid
    jak -l, ale wypisuje numeryczne identyfikatory użytkownika i grupy

-N, --literal
    wypisuje nazwy pozycji bez cytowania

-o  jak -l, ale bez informacji o grupie

-p, --indicator-style=slash
    dodaje wskaźnik / do katalogów

-q, --hide-control-chars
    wypisuje ? zamiast znaków niedrukowalnych

--show-control-chars
    pokazuje znaki niedrukowalne bez zmian (domyślnie, chyba że program nazywa się ls, a wyjściem jest terminal)

-Q, --quote-name
    ujmuje nazwy w podwójne cudzysłowy

--quoting-style=SŁOWO
    używa cytowania wpisów w stylu SŁOWO: literal, locale, shell, shell-always, shell-escape, shell-escape-always, c, escape (przesłaniając zmienną środowiskową QUOTING_STYLE)

-r, --reverse
    odwraca porządek sortowania

-R, --recursive
    wypisuje katalogi rekursywnie

-s, --size
    wypisuje rozmiar zajęty przez każdy plik, w blokach

-S  sortuje według rozmiaru, od największych

--sort=SŁOWO
    sortuje wg SŁOWA zamiast nazwy: none (jak -U), size (-S), time (-t), version (-v), extension (-X), width

--time=SŁOWO
    wybiera znacznik czasu, jaki ma być użyty do wyświetlenia lub posortowania: czas dostępu (-u): atime, access, use; czas zmiany metadanych (-c): ctime, status; czas modyfikacji (tak jest domyślnie) mtime, modification; czas utworzenia: birth, creation;

    z -l SŁOWO określa który czas wyświetlić; z --sort=czas, sortuje według SŁOWA (poczynając od najnowszych)

--time-style=STYL-CZASU
    format daty/czasu z opcją -l; zob. STYL-CZASU poniżej

-t  sortuje według czasu, poczynając od najnowszych; zob. --time

-T, --tabsize=KOLUMNY
    przypisuje tabulatorowi tyle znaków co KOLUMNA, zamiast domyślnych 8

-u
     z -lt: sortuje i wypisuje według czasu ostatniego dostępu,
     z -l: pokazuje czas dostępu i sortuje według nazw,
     w pozostałych przypadkach: sortuje według czasu dostępu, od najnowszych

-U  bez sortowania, wypisuje według kolejności w katalogu

-v  sortuje według liczb (numerów wersji) zawartych w nazwach plików

-w, --width=KOLUMNY
    ustawia szerokość wyjścia na KOLUMNA. 0 oznacza brak limitu

-x  wypisuje nazwy w wierszach, zamiast w kolumnach

-X  sortuje alfabetycznie według rozszerzeń

-Z, --context
    wyświetla kontekst bezpieczeństwa dla każdego pliku

--zero
    kończy każdy wiersz bajtem NUL, zamiast znakiem nowego wiersza

-1  wypisuje po jednym pliku na wiersz

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

ROZMIAR jest liczbą całkowitą wraz z opcjonalną jednostką (np. 10K to 10*1024). Jednostki to: K, M, G, T, P, E, Z, Y, R, Q (potęgi 1024) lub KB, MB itd. (potęgi 1000). Można używać również przyrostków binarnych, np. KiB=K, MiB=M itd.

Argument STYL-CZASU może przyjąć wartość: full-iso, long-iso, iso, locale lub +FORMAT. FORMAT jest interpretowany jak przez program date(1). Jeśli FORMAT to FORMAT1<znak-nowego-wiersza>FORMAT2, to FORMAT1 dotyczy dawniejszych plików, a FORMAT2 nowszych. STYL-CZASU poprzedzony przez posix- odnosi się tylko do ustawień locale spoza POSIX. Zmienna środowiskowa TIME_STYLE ustawia również domyślny styl do użycia.

Argument KIEDY ma wartość domyślną always (zawsze). Może przyjąć również wartości auto (automatycznie) lub never (nigdy).

Używanie kolorów do wyróżnienia typów plików jest wyłączone domyślnie oraz przy podaniu opcji --color=never. Z opcją --color=auto, ls wysyła kolory kodów tylko wtedy, gdy standardowe wyjście jest przyłączone do terminala. Zmienna środowiskowa LS_COLORS może zmieniać te ustawienia. Można ją ustawić przy pomocy polecenia dircolors(1).

  Status zakończenia:

0   OK,

1   przy drobnych problemach (np. brak dostępu do podkatalogu),

2   przy poważnych problemach (np. brak dostępu do podanego argumentu).

AUTOR
Napisane przez Richarda M. Stallmana i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2023 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/dir>
lub lokalnie, za pomocą info '(coreutils) dir invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.